Listar regras de platform fee de um seller
curl --request GET \
--url https://api.malga.io/v1/merchants/{merchantId}/sellers/{sellerId}/platform-fee \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/merchants/{merchantId}/sellers/{sellerId}/platform-fee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.malga.io/v1/merchants/{merchantId}/sellers/{sellerId}/platform-fee"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-Id", "<api-key>")
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"platformFeeEnabled": false,
"sellerId": "27ae4860-55ac-4e48-a417-1038dbdf1049",
"rules": [
{
"id": "7f28ac5a-05d5-4a40-997d-2f172702a369",
"percentage": 1.99,
"fixedAmount": 0,
"paymentMethod": "credit",
"installment": 1,
"createdAt": "2026-09-29T14:49:54.612Z",
"updatedAt": "2026-09-29T14:49:54.612Z"
},
{
"id": "2d0d8935-6b77-4fef-8ec9-625986f38ab4",
"percentage": 2.49,
"fixedAmount": 0,
"paymentMethod": "credit",
"installment": 2,
"createdAt": "2026-09-29T14:49:54.612Z",
"updatedAt": "2026-09-29T14:49:54.612Z"
},
{
"id": "88ccd2aa-c3cb-4ff6-bca7-3bc3812da801",
"percentage": 0,
"fixedAmount": 0,
"paymentMethod": "pix",
"createdAt": "2026-09-29T14:49:54.612Z",
"updatedAt": "2026-09-29T14:49:54.612Z"
}
]
}Platform Fee
Listar regras de platform fee de um seller
Retorna as regras próprias ativas do seller nesta subconta e a flag de ativação da subconta. rules vem vazia quando o seller segue a regra da subconta em todos os métodos.
Para ver as regras de todos os sellers junto com as da subconta, e o estado de cada método e parcela, use GET /v1/merchants/{merchantId}/platform-fee.
GET
/
v1
/
merchants
/
{merchantId}
/
sellers
/
{sellerId}
/
platform-fee
Listar regras de platform fee de um seller
curl --request GET \
--url https://api.malga.io/v1/merchants/{merchantId}/sellers/{sellerId}/platform-fee \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/merchants/{merchantId}/sellers/{sellerId}/platform-fee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.malga.io/v1/merchants/{merchantId}/sellers/{sellerId}/platform-fee"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-Id", "<api-key>")
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"platformFeeEnabled": false,
"sellerId": "27ae4860-55ac-4e48-a417-1038dbdf1049",
"rules": [
{
"id": "7f28ac5a-05d5-4a40-997d-2f172702a369",
"percentage": 1.99,
"fixedAmount": 0,
"paymentMethod": "credit",
"installment": 1,
"createdAt": "2026-09-29T14:49:54.612Z",
"updatedAt": "2026-09-29T14:49:54.612Z"
},
{
"id": "2d0d8935-6b77-4fef-8ec9-625986f38ab4",
"percentage": 2.49,
"fixedAmount": 0,
"paymentMethod": "credit",
"installment": 2,
"createdAt": "2026-09-29T14:49:54.612Z",
"updatedAt": "2026-09-29T14:49:54.612Z"
},
{
"id": "88ccd2aa-c3cb-4ff6-bca7-3bc3812da801",
"percentage": 0,
"fixedAmount": 0,
"paymentMethod": "pix",
"createdAt": "2026-09-29T14:49:54.612Z",
"updatedAt": "2026-09-29T14:49:54.612Z"
}
]
}Path Parameters
Response
Regras próprias do seller e flag de ativação da subconta
Was this page helpful?